6705313: Incorrect exit $? in keytool's autotest.sh
authorweijun
Tue, 27 May 2008 14:29:32 +0800
changeset 629 9ceba556df24
parent 628 914de0870706
child 630 27b24751469a
6705313: Incorrect exit $? in keytool's autotest.sh Reviewed-by: valeriep
jdk/test/sun/security/tools/keytool/autotest.sh
--- a/jdk/test/sun/security/tools/keytool/autotest.sh	Thu May 22 14:20:53 2008 -0700
+++ b/jdk/test/sun/security/tools/keytool/autotest.sh	Tue May 27 14:29:32 2008 +0800
@@ -1,5 +1,5 @@
 #
-# Copyright 2006 Sun Microsystems, Inc.  All Rights Reserved.
+# Copyright 2006-2008 Sun Microsystems, Inc.  All Rights Reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -90,7 +90,8 @@
 
 echo | ${TESTJAVA}${FS}bin${FS}java -Dfile -Dnss \
    -Dnss.lib=${NSS}${FS}lib${FS}${PF}${FS}${LIBNAME} \
-   KeyToolTest || exit 12
+   KeyToolTest
+status=$?
 
 rm -f p11-nss.txt
 rm -f cert8.db
@@ -101,4 +102,5 @@
 rm KeyToolTest.class
 rm TestException.class 
 
-exit $?
+exit $status
+